Name: hoyoplay
Description: HoYoPlay Launcher
Grade: Gold
Arch: win64

# default from gaming bottle
Dependencies: 
- mono
- gecko
- vcredist2022
- arial32
- times32
- courie32
- msls31
- d3dcompiler_43
- d3dcompiler_47
- d3dx9
- webview2

Parameters:
  dxvk: true
  sync: fsync
  discrete_gpu: true
  decorated: false

Executable:
  name: HoYoPlay Launcher
  icon: hoyoplay.png
  file: launcher.exe
  path: Program Files/HoYoPlay/launcher.exe


Steps:
- action: install_exe
  file_name: HoYoPlay_install_ua_ddcd18731175.exe
  url: https://download-porter.hoyoverse.com/download-porter/2024/11/29/VYTpXlbWo8_1.3.3.182_1_0_hyp_hoyoverse_prod_202411221126_LdrRMaNn.exe?trace_key=HoYoPlay_install_ua_ddcd18731175
  file_checksum: 7109c71e22efba27b136af7ae87d522a
  
